diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
index a6e79ce2..85aab40b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
@@ -118,25 +118,25 @@ define('pgadmin.node.trigger', [
             type:'PUT',
             data: {'enable' : true},
             dataType: 'json',
-            success: function(res) {
-              if (res.success == 1) {
-                alertify.success(res.info);
-                t.removeIcon(i);
-                data.icon = 'icon-trigger';
-                t.addIcon(i, {icon: data.icon});
-                t.unload(i);
-                t.setInode(false);
-                t.deselect(i);
-                // Fetch updated data from server
-                setTimeout(function() {
-                  t.select(i);
-                }, 10);
-              }
-            },
-            error: function(xhr, status, error) {
-              alertify.pgRespErrorNotify(xhr, error);
+          })
+          .done(function(res) {
+            if (res.success == 1) {
+              alertify.success(res.info);
+              t.removeIcon(i);
+              data.icon = 'icon-trigger';
+              t.addIcon(i, {icon: data.icon});
               t.unload(i);
-            },
+              t.setInode(false);
+              t.deselect(i);
+              // Fetch updated data from server
+              setTimeout(function() {
+                t.select(i);
+              }, 10);
+            }
+          })
+          .fail(function(xhr, status, error) {
+            alertify.pgRespErrorNotify(xhr, error);
+            t.unload(i);
           });
         },
         /* Disable trigger */
@@ -156,25 +156,25 @@ define('pgadmin.node.trigger', [
             type:'PUT',
             data: {'enable' : false},
             dataType: 'json',
-            success: function(res) {
-              if (res.success == 1) {
-                alertify.success(res.info);
-                t.removeIcon(i);
-                data.icon = 'icon-trigger-bad';
-                t.addIcon(i, {icon: data.icon});
-                t.unload(i);
-                t.setInode(false);
-                t.deselect(i);
-                // Fetch updated data from server
-                setTimeout(function() {
-                  t.select(i);
-                }, 10);
-              }
-            },
-            error: function(xhr, status, error) {
-              alertify.pgRespErrorNotify(xhr, error, gettext('Disable trigger failed'));
+          })
+          .done(function(res) {
+            if (res.success == 1) {
+              alertify.success(res.info);
+              t.removeIcon(i);
+              data.icon = 'icon-trigger-bad';
+              t.addIcon(i, {icon: data.icon});
               t.unload(i);
-            },
+              t.setInode(false);
+              t.deselect(i);
+              // Fetch updated data from server
+              setTimeout(function() {
+                t.select(i);
+              }, 10);
+            }
+          })
+          .fail(function(xhr, status, error) {
+            alertify.pgRespErrorNotify(xhr, error, gettext('Disable trigger failed'));
+            t.unload(i);
           });
         },
       },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
index 5860a752..12045cf1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
@@ -423,12 +423,12 @@ define('pgadmin.node.type', [
                   url: _url,
                   cache: false,
                   data: {'typname' : l_typname},
-                  success: function(res) {
-                    result = res.data;
-                  },
-                  error: function() {
-                    self.model.trigger('pgadmin:view:fetch:error', self.model, self.field);
-                  },
+                })
+                .done(function(res) {
+                  result = res.data;
+                })
+                .fail(function() {
+                  self.model.trigger('pgadmin:view:fetch:error', self.model, self.field);
                 });
                 //
               }
@@ -491,13 +491,13 @@ define('pgadmin.node.type', [
                   url: _url,
                   cache: false,
                   data: {'name' : name},
-                  success: function(res) {
-                    result = res.data;
-                  },
-                  error: function() {
-                    self.model.trigger('pgadmin:view:fetch:error',
-                      self.model, self.field);
-                  },
+                })
+                .done(function(res) {
+                  result = res.data;
+                })
+                .fail(function() {
+                  self.model.trigger('pgadmin:view:fetch:error',
+                    self.model, self.field);
                 });
               }
               return result;
@@ -527,13 +527,13 @@ define('pgadmin.node.type', [
                   url: _url,
                   cache: false,
                   data: {'typname' : l_typname, 'opcname': l_opcname},
-                  success: function(res) {
-                    result = res.data;
-                  },
-                  error: function() {
-                    self.model.trigger('pgadmin:view:fetch:error',
-                        self.model, self.field);
-                  },
+                })
+                .done(function(res) {
+                  result = res.data;
+                })
+                .fail(function() {
+                  self.model.trigger('pgadmin:view:fetch:error',
+                      self.model, self.field);
                 });
               }
               return result;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index dcfdd54b..cda9636d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -253,20 +253,20 @@ define('pgadmin.node.mview', [
           type: 'PUT',
           data: {'concurrent': args.concurrent, 'with_data': args.with_data},
           dataType: 'json',
-          success: function(res) {
-            if (res.success == 1) {
-              Alertify.success(gettext('View refreshed successfully'));
-            }
-            else {
-              Alertify.alert(
-                gettext('Error refreshing view'),
-                  res.data.result
-              );
-            }
-          },
-          error: function(xhr, status, error) {
-            Alertify.pgRespErrorNotify(xhr, error, gettext('Error refreshing view'));
-          },
+        })
+        .done(function(res) {
+          if (res.success == 1) {
+            Alertify.success(gettext('View refreshed successfully'));
+          }
+          else {
+            Alertify.alert(
+              gettext('Error refreshing view'),
+                res.data.result
+            );
+          }
+        })
+        .fail(function(xhr, status, error) {
+          Alertify.pgRespErrorNotify(xhr, error, gettext('Error refreshing view'));
         });
 
       },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 1bb67598..d3902717 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -185,33 +185,33 @@ define('pgadmin.node.database', [
               $.ajax({
                 url: obj.generate_url(i, 'connect', d, true),
                 type:'DELETE',
-                success: function(res) {
-                  if (res.success == 1) {
-                    var prv_i = t.parent(i);
-                    Alertify.success(res.info);
-                    t.removeIcon(i);
-                    data.connected = false;
-                    data.icon = 'icon-database-not-connected';
-                    t.addIcon(i, {icon: data.icon});
-                    t.unload(i);
-                    t.setInode(i);
-                    setTimeout(function() {
-                      t.select(prv_i);
-                    }, 10);
-
-                  } else {
-                    try {
-                      Alertify.error(res.errormsg);
-                    } catch (e) {
-                      console.warn(e.stack || e);
-                    }
-                    t.unload(i);
+              })
+              .done(function(res) {
+                if (res.success == 1) {
+                  var prv_i = t.parent(i);
+                  Alertify.success(res.info);
+                  t.removeIcon(i);
+                  data.connected = false;
+                  data.icon = 'icon-database-not-connected';
+                  t.addIcon(i, {icon: data.icon});
+                  t.unload(i);
+                  t.setInode(i);
+                  setTimeout(function() {
+                    t.select(prv_i);
+                  }, 10);
+
+                } else {
+                  try {
+                    Alertify.error(res.errormsg);
+                  } catch (e) {
+                    console.warn(e.stack || e);
                   }
-                },
-                error: function(xhr, status, error) {
-                  Alertify.pgRespErrorNotify(xhr, error);
                   t.unload(i);
-                },
+                }
+              })
+              .fail(function(xhr, status, error) {
+                Alertify.pgRespErrorNotify(xhr, error);
+                t.unload(i);
               });
             },
             function() { return true; });
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/static/js/pga_job.js b/web/pgadmin/browser/server_groups/servers/pgagent/static/js/pga_job.js
index 74c99a40..44a6b5c1 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/static/js/pga_job.js
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/static/js/pga_job.js
@@ -172,13 +172,13 @@ define('pgadmin.node.pga_job', [
         $.ajax({
           url: obj.generate_url(i, 'run_now', d, true),
           method:'PUT',
-          // 'pgagent.pga_job' table updated with current time to run the job
-          // now.
-          success: function() { t.unload(i); },
-          error: function(xhr, status, error) {
-            alertify.pgRespErrorNotify(xhr, error);
-            t.unload(i);
-          },
+        })
+        // 'pgagent.pga_job' table updated with current time to run the job
+        // now.
+        .done(function() { t.unload(i); })
+        .fail(function(xhr, status, error) {
+          alertify.pgRespErrorNotify(xhr, error);
+          t.unload(i);
         });
 
         return false;
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 9e0b6279..86247b53 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -189,38 +189,38 @@ define('pgadmin.node.server', [
             $.ajax({
               url: obj.generate_url(i, 'connect', d, true),
               type:'DELETE',
-              success: function(res) {
-                if (res.success == 1) {
-                  Alertify.success(res.info);
-                  d = t.itemData(i);
-                  t.removeIcon(i);
-                  d.connected = false;
-                  d.icon = 'icon-server-not-connected';
-                  t.addIcon(i, {icon: d.icon});
-                  obj.callbacks.refresh.apply(obj, [null, i]);
-                  if (pgBrowser.serverInfo && d._id in pgBrowser.serverInfo) {
-                    delete pgBrowser.serverInfo[d._id];
-                  }
-                  pgBrowser.enable_disable_menus(i);
-                  // Trigger server disconnect event
-                  pgBrowser.Events.trigger(
-                    'pgadmin:server:disconnect',
-                    {item: i, data: d}, false
-                  );
+            })
+            .done(function(res) {
+              if (res.success == 1) {
+                Alertify.success(res.info);
+                d = t.itemData(i);
+                t.removeIcon(i);
+                d.connected = false;
+                d.icon = 'icon-server-not-connected';
+                t.addIcon(i, {icon: d.icon});
+                obj.callbacks.refresh.apply(obj, [null, i]);
+                if (pgBrowser.serverInfo && d._id in pgBrowser.serverInfo) {
+                  delete pgBrowser.serverInfo[d._id];
                 }
-                else {
-                  try {
-                    Alertify.error(res.errormsg);
-                  } catch (e) {
-                    console.warn(e.stack || e);
-                  }
-                  t.unload(i);
+                pgBrowser.enable_disable_menus(i);
+                // Trigger server disconnect event
+                pgBrowser.Events.trigger(
+                  'pgadmin:server:disconnect',
+                  {item: i, data: d}, false
+                );
+              }
+              else {
+                try {
+                  Alertify.error(res.errormsg);
+                } catch (e) {
+                  console.warn(e.stack || e);
                 }
-              },
-              error: function(xhr, status, error) {
-                Alertify.pgRespErrorNotify(xhr, error);
                 t.unload(i);
-              },
+              }
+            })
+            .fail(function(xhr, status, error) {
+              Alertify.pgRespErrorNotify(xhr, error);
+              t.unload(i);
             });
           };
 
@@ -284,18 +284,18 @@ define('pgadmin.node.server', [
               $.ajax({
                 url: obj.generate_url(i, 'reload', d, true),
                 method:'GET',
-                success: function(res) {
-                  if (res.data.status) {
-                    Alertify.success(res.data.result);
-                  }
-                  else {
-                    Alertify.error(res.data.result);
-                  }
-                },
-                error: function(xhr, status, error) {
-                  Alertify.pgRespErrorNotify(xhr, error);
-                  t.unload(i);
-                },
+              })
+              .done(function(res) {
+                if (res.data.status) {
+                  Alertify.success(res.data.result);
+                }
+                else {
+                  Alertify.error(res.data.result);
+                }
+              })
+              .fail(function(xhr, status, error) {
+                Alertify.pgRespErrorNotify(xhr, error);
+                t.unload(i);
               });
             },
             function() { return true; }
@@ -325,13 +325,13 @@ define('pgadmin.node.server', [
                   url: obj.generate_url(i, 'restore_point', d, true),
                   method:'POST',
                   data:{ 'value': JSON.stringify(value) },
-                  success: function(res) {
-                    Alertify.success(res.data.result, 10);
-                  },
-                  error: function(xhr, status, error) {
-                    Alertify.pgRespErrorNotify(xhr, error);
-                    t.unload(i);
-                  },
+                })
+                .done(function(res) {
+                  Alertify.success(res.data.result, 10);
+                })
+                .fail(function(xhr, status, error) {
+                  Alertify.pgRespErrorNotify(xhr, error);
+                  t.unload(i);
                 });
               } else {
                 evt.cancel = true;
@@ -481,27 +481,27 @@ define('pgadmin.node.server', [
                       url: url,
                       method:'POST',
                       data:{'data': JSON.stringify(args) },
-                      success: function(res) {
-                        if (res.success) {
-                          // Notify user to update pgpass file
-                          if(is_pgpass_file_used) {
-                            Alertify.alert(
-                              gettext('Change Password'),
-                              gettext('Please make sure to disconnect the server'
-                                + ' and update the new password in the pgpass file'
-                                  + ' before performing any other operation')
-                            );
-                          }
-
-                          Alertify.success(res.info);
-                          self.close();
-                        } else {
-                          Alertify.error(res.errormsg);
+                    })
+                    .done(function(res) {
+                      if (res.success) {
+                        // Notify user to update pgpass file
+                        if(is_pgpass_file_used) {
+                          Alertify.alert(
+                            gettext('Change Password'),
+                            gettext('Please make sure to disconnect the server'
+                              + ' and update the new password in the pgpass file'
+                                + ' before performing any other operation')
+                          );
                         }
-                      },
-                      error: function(xhr, status, error) {
-                        Alertify.pgRespErrorNotify(xhr, error);
-                      },
+
+                        Alertify.success(res.info);
+                        self.close();
+                      } else {
+                        Alertify.error(res.errormsg);
+                      }
+                    })
+                    .fail(function(xhr, status, error) {
+                      Alertify.pgRespErrorNotify(xhr, error);
                     });
                   }
                 },
@@ -513,15 +513,15 @@ define('pgadmin.node.server', [
           $.ajax({
             url: check_pgpass_url,
             method:'GET',
-            success: function(res) {
-              if (res.success && res.data.is_pgpass) {
-                is_pgpass_file_used = true;
-              }
-              Alertify.changeServerPassword(d).resizeTo('40%','52%');
-            },
-            error: function(xhr, status, error) {
-              Alertify.pgRespErrorNotify(xhr, error);
-            },
+          })
+          .done(function(res) {
+            if (res.success && res.data.is_pgpass) {
+              is_pgpass_file_used = true;
+            }
+            Alertify.changeServerPassword(d).resizeTo('40%','52%');
+          })
+          .fail(function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error);
           });
 
           return false;
@@ -542,23 +542,23 @@ define('pgadmin.node.server', [
             url: obj.generate_url(i, 'wal_replay' , d, true),
             type:'DELETE',
             dataType: 'json',
-            success: function(res) {
-              if (res.success == 1) {
-                Alertify.success(res.info);
-                t.itemData(i).wal_pause=res.data.wal_pause;
-                t.unload(i);
-                t.setInode(i);
-                t.deselect(i);
-                // Fetch updated data from server
-                setTimeout(function() {
-                  t.select(i);
-                }, 10);
-              }
-            },
-            error: function(xhr, status, error) {
-              Alertify.pgRespErrorNotify(xhr, error);
+          })
+          .done(function(res) {
+            if (res.success == 1) {
+              Alertify.success(res.info);
+              t.itemData(i).wal_pause=res.data.wal_pause;
               t.unload(i);
-            },
+              t.setInode(i);
+              t.deselect(i);
+              // Fetch updated data from server
+              setTimeout(function() {
+                t.select(i);
+              }, 10);
+            }
+          })
+          .fail(function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error);
+            t.unload(i);
           });
         },
 
@@ -577,23 +577,23 @@ define('pgadmin.node.server', [
             url: obj.generate_url(i, 'wal_replay' , d, true),
             type:'PUT',
             dataType: 'json',
-            success: function(res) {
-              if (res.success == 1) {
-                Alertify.success(res.info);
-                t.itemData(i).wal_pause=res.data.wal_pause;
-                t.unload(i);
-                t.setInode(i);
-                t.deselect(i);
-                // Fetch updated data from server
-                setTimeout(function() {
-                  t.select(i);
-                }, 10);
-              }
-            },
-            error: function(xhr, status, error) {
-              Alertify.pgRespErrorNotify(xhr, error);
+          })
+          .done(function(res) {
+            if (res.success == 1) {
+              Alertify.success(res.info);
+              t.itemData(i).wal_pause=res.data.wal_pause;
               t.unload(i);
-            },
+              t.setInode(i);
+              t.deselect(i);
+              // Fetch updated data from server
+              setTimeout(function() {
+                t.select(i);
+              }, 10);
+            }
+          })
+          .fail(function(xhr, status, error) {
+            Alertify.pgRespErrorNotify(xhr, error);
+            t.unload(i);
           });
         },
       },
@@ -1128,16 +1128,16 @@ define('pgadmin.node.server', [
                   timeout: 30000,
                   url: _url,
                   data: $('#frmPassword').serialize(),
-                  success: function(res) {
-                    return _onSuccess(
-                      res, _node, _data, _tree, _item, _status
-                    );
-                  },
-                  error: function(xhr, status, error) {
-                    return _onFailure(
-                      xhr, status, error, _node, _data, _tree, _item, _status
-                    );
-                  },
+                })
+                .done(function(res) {
+                  return _onSuccess(
+                    res, _node, _data, _tree, _item, _status
+                  );
+                })
+                .fail(function(xhr, status, error) {
+                  return _onFailure(
+                    xhr, status, error, _node, _data, _tree, _item, _status
+                  );
                 });
               } else {
                 _onCancel && typeof(_onCancel) == 'function' &&
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index 9e48b4f9..987c3bab 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -303,12 +303,12 @@ define([
             $.ajax({
               async: false,
               url: full_url,
-              success: function (res) {
-                data = res.data;
-              },
-              error: function() {
-                m.trigger('pgadmin-view:fetch:error', m, self.field);
-              },
+            })
+            .done(function (res) {
+              data = res.data;
+            })
+            .fail(function() {
+              m.trigger('pgadmin-view:fetch:error', m, self.field);
             });
             m.trigger('pgadmin-view:fetched', m, self.field);
 
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
index d8371aa0..90e97f0a 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
@@ -277,17 +277,17 @@ define('pgadmin.node.tablespace', [
                           url: url,
                           method:'PUT',
                           data:{'data': JSON.stringify(args) },
-                          success: function(res) {
-                            if (res.success) {
-                              Alertify.success(res.info);
-                              self.close();
-                            } else {
-                              Alertify.error(res.errormsg);
-                            }
-                          },
-                          error: function(xhr, status, error) {
-                            Alertify.pgRespErrorNotify(xhr, error);
-                          },
+                        })
+                        .done(function(res) {
+                          if (res.success) {
+                            Alertify.success(res.info);
+                            self.close();
+                          } else {
+                            Alertify.error(res.errormsg);
+                          }
+                        })
+                        .fail(function(xhr, status, error) {
+                          Alertify.pgRespErrorNotify(xhr, error);
                         });
                       },
                       function() {
